﻿<?xml version="1.0" encoding="utf-8"?>
<xs:schema id="WFEDataSet11" targetNamespace="http://tempuri.org/WFEDataSet11.xsd" xmlns:mstns="http://tempuri.org/WFEDataSet11.xsd" xmlns="http://tempuri.org/WFEDataSet11.xsd" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata" xmlns:msprop="urn:schemas-microsoft-com:xml-msprop" attributeFormDefault="qualified" elementFormDefault="qualified">
  <xs:annotation>
    <xs:appinfo source="urn:schemas-microsoft-com:xml-msdatasource">
      <DataSource DefaultConnectionIndex="0" FunctionsComponentName="QueriesTableAdapter" Modifier="AutoLayout, AnsiClass, Class, Public" SchemaSerializationMode="IncludeSchema" xmlns="urn:schemas-microsoft-com:xml-msdatasource">
        <Connections>
          <Connection AppSettingsObjectName="MySettings" AppSettingsPropertyName="WFEConnectionString" ConnectionStringObject="" IsAppSettingsProperty="true" Modifier="Assembly" Name="WFEConnectionString (MySettings)" PropertyReference="ApplicationSettings.WFE.My.MySettings.GlobalReference.Default.WFEConnectionString" Provider="System.Data.OleDb" />
        </Connections>
        <Tables>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="已選特殊零件TableAdapter" GeneratorDataComponentClassName="已選特殊零件TableAdapter" Name="已選特殊零件" UserDataComponentName="已選特殊零件TableAdapter">
            <MainSource>
              <DbSource ConnectionRef="WFEConnectionString (MySettings)" DbObjectName="已選特殊零件" DbObjectType="Table" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="true" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetData" UserSourceName="Fill">
                <DeleteCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>DELETE FROM `已選特殊零件` WHERE ((`識別碼` = ?) AND ((? = 1 AND `零件名稱` IS NULL) OR (`零件名稱` = ?)) AND ((? = 1 AND `材料` IS NULL) OR (`材料` = ?)) AND ((? = 1 AND `質量` IS NULL) OR (`質量` = ?)) AND ((? = 1 AND `碳足跡` IS NULL) OR (`碳足跡` = ?)) AND ((? = 1 AND `加工方式` IS NULL) OR (`加工方式` = ?)) AND ((? = 1 AND `特殊零件` IS NULL) OR (`特殊零件` = ?)))</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="Original_識別碼" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="識別碼" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_零件名稱" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="零件名稱" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_零件名稱" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="零件名稱" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_材料" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="材料" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_材料" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="材料" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_質量" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="質量" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Double" Direction="Input" ParameterName="Original_質量" Precision="0" ProviderType="Double" Scale="0" Size="0" SourceColumn="質量" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_碳足跡" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="碳足跡" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Double" Direction="Input" ParameterName="Original_碳足跡" Precision="0" ProviderType="Double" Scale="0" Size="0" SourceColumn="碳足跡" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_加工方式" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="加工方式" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_加工方式" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="加工方式" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_特殊零件" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="特殊零件" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_特殊零件" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="特殊零件" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </DeleteCommand>
                <InsertCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>INSERT INTO `已選特殊零件` (`零件名稱`, `材料`, `質量`, `碳足跡`, `加工方式`, `特殊零件`) VALUES (?, ?, ?, ?, ?, ?)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="零件名稱" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="零件名稱" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="材料" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="材料" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Double" Direction="Input" ParameterName="質量" Precision="0" ProviderType="Double" Scale="0" Size="0" SourceColumn="質量" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Double" Direction="Input" ParameterName="碳足跡" Precision="0" ProviderType="Double" Scale="0" Size="0" SourceColumn="碳足跡" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="加工方式" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="加工方式" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="特殊零件" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="特殊零件" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </InsertCommand>
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>SELECT 識別碼, 零件名稱, 材料, 質量, 碳足跡, 加工方式, 特殊零件 FROM 已選特殊零件</CommandText>
                    <Parameters />
                  </DbCommand>
                </SelectCommand>
                <UpdateCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>UPDATE `已選特殊零件` SET `零件名稱` = ?, `材料` = ?, `質量` = ?, `碳足跡` = ?, `加工方式` = ?, `特殊零件` = ? WHERE ((`識別碼` = ?) AND ((? = 1 AND `零件名稱` IS NULL) OR (`零件名稱` = ?)) AND ((? = 1 AND `材料` IS NULL) OR (`材料` = ?)) AND ((? = 1 AND `質量` IS NULL) OR (`質量` = ?)) AND ((? = 1 AND `碳足跡` IS NULL) OR (`碳足跡` = ?)) AND ((? = 1 AND `加工方式` IS NULL) OR (`加工方式` = ?)) AND ((? = 1 AND `特殊零件` IS NULL) OR (`特殊零件` = ?)))</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="零件名稱" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="零件名稱" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="材料" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="材料" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Double" Direction="Input" ParameterName="質量" Precision="0" ProviderType="Double" Scale="0" Size="0" SourceColumn="質量" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Double" Direction="Input" ParameterName="碳足跡" Precision="0" ProviderType="Double" Scale="0" Size="0" SourceColumn="碳足跡" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="加工方式" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="加工方式" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="特殊零件" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="特殊零件" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="Original_識別碼" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="識別碼" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_零件名稱" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="零件名稱" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_零件名稱" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="零件名稱" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_材料" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="材料" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_材料" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="材料" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_質量" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="質量" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Double" Direction="Input" ParameterName="Original_質量" Precision="0" ProviderType="Double" Scale="0" Size="0" SourceColumn="質量" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_碳足跡" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="碳足跡" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Double" Direction="Input" ParameterName="Original_碳足跡" Precision="0" ProviderType="Double" Scale="0" Size="0" SourceColumn="碳足跡" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_加工方式" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="加工方式" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_加工方式" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="加工方式" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_特殊零件" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="特殊零件" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_特殊零件" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="特殊零件" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </UpdateCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="識別碼" DataSetColumn="識別碼" />
              <Mapping SourceColumn="零件名稱" DataSetColumn="零件名稱" />
              <Mapping SourceColumn="材料" DataSetColumn="材料" />
              <Mapping SourceColumn="質量" DataSetColumn="質量" />
              <Mapping SourceColumn="碳足跡" DataSetColumn="碳足跡" />
              <Mapping SourceColumn="加工方式" DataSetColumn="加工方式" />
              <Mapping SourceColumn="特殊零件" DataSetColumn="特殊零件" />
            </Mappings>
            <Sources />
          </TableAdapter>
        </Tables>
        <Sources />
      </DataSource>
    </xs:appinfo>
  </xs:annotation>
  <xs:element name="WFEDataSet11" msdata:IsDataSet="true" msdata:UseCurrentLocale="true" msprop:EnableTableAdapterManager="True" msprop:Generator_DataSetName="WFEDataSet11" msprop:Generator_UserDSName="WFEDataSet11">
    <xs:complexType>
      <xs:choice minOccurs="0" maxOccurs="unbounded">
        <xs:element name="已選特殊零件" msprop:Generator_TableClassName="已選特殊零件DataTable" msprop:Generator_TableVarName="table已選特殊零件" msprop:Generator_TablePropName="已選特殊零件" msprop:Generator_RowDeletingName="已選特殊零件RowDeleting" msprop:Generator_RowChangingName="已選特殊零件RowChanging" msprop:Generator_RowEvHandlerName="已選特殊零件RowChangeEventHandler" msprop:Generator_RowDeletedName="已選特殊零件RowDeleted" msprop:Generator_UserTableName="已選特殊零件" msprop:Generator_RowChangedName="已選特殊零件RowChanged" msprop:Generator_RowEvArgName="已選特殊零件RowChangeEvent" msprop:Generator_RowClassName="已選特殊零件Row">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="識別碼" msdata:AutoIncrement="true" msdata:AutoIncrementSeed="-1" msdata:AutoIncrementStep="-1" msprop:Generator_ColumnVarNameInTable="column識別碼" msprop:Generator_ColumnPropNameInRow="識別碼" msprop:Generator_ColumnPropNameInTable="識別碼Column" msprop:Generator_UserColumnName="識別碼" type="xs:int" />
              <xs:element name="零件名稱" msprop:Generator_ColumnVarNameInTable="column零件名稱" msprop:Generator_ColumnPropNameInRow="零件名稱" msprop:Generator_ColumnPropNameInTable="零件名稱Column" msprop:Generator_UserColumnName="零件名稱" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="255" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="材料" msprop:Generator_ColumnVarNameInTable="column材料" msprop:Generator_ColumnPropNameInRow="材料" msprop:Generator_ColumnPropNameInTable="材料Column" msprop:Generator_UserColumnName="材料" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="255" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="質量" msprop:Generator_ColumnVarNameInTable="column質量" msprop:Generator_ColumnPropNameInRow="質量" msprop:Generator_ColumnPropNameInTable="質量Column" msprop:Generator_UserColumnName="質量" type="xs:double" minOccurs="0" />
              <xs:element name="碳足跡" msprop:Generator_ColumnVarNameInTable="column碳足跡" msprop:Generator_ColumnPropNameInRow="碳足跡" msprop:Generator_ColumnPropNameInTable="碳足跡Column" msprop:Generator_UserColumnName="碳足跡" type="xs:double" minOccurs="0" />
              <xs:element name="加工方式" msprop:Generator_ColumnVarNameInTable="column加工方式" msprop:Generator_ColumnPropNameInRow="加工方式" msprop:Generator_ColumnPropNameInTable="加工方式Column" msprop:Generator_UserColumnName="加工方式" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="255" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="特殊零件" msprop:Generator_ColumnVarNameInTable="column特殊零件" msprop:Generator_ColumnPropNameInRow="特殊零件" msprop:Generator_ColumnPropNameInTable="特殊零件Column" msprop:Generator_UserColumnName="特殊零件" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="255" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
            </xs:sequence>
          </xs:complexType>
        </xs:element>
      </xs:choice>
    </xs:complexType>
    <xs:unique name="Constraint1" msdata:PrimaryKey="true">
      <xs:selector xpath=".//mstns:已選特殊零件" />
      <xs:field xpath="mstns:識別碼" />
    </xs:unique>
  </xs:element>
</xs:schema>